org.apache.ignite.internal.util.typedef

## Class RX1<E1,R>

- java.lang.Object
- - org.apache.ignite.internal.util.lang.IgniteReducerX<E1,R>
  - - org.apache.ignite.internal.util.typedef.RX1<E1,R>

Type Parameters:
  `E1` - Type of the free variable, i.e. the element the closure is called or closed on.
  `R` - Type of the closure's return value.

All Implemented Interfaces:
  Serializable, IgniteReducer<E1,R>

    public abstract class RX1<E1,R>
    extends IgniteReducerX<E1,R>

Defines `alias` for `IgniteReducerX` by extending it. Since Java doesn't provide type aliases (like Scala, for example) we resort to these types of measures. This is intended to provide for more concise code in cases when readability won't be sacrificed. For more information see `IgniteReducerX`.

See Also:
  `GridFunc`, `IgniteReducerX`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`RX1()`

### Method Summary

### Methods inherited from class org.apache.ignite.internal.util.lang.IgniteReducerX

`applyx, reduce`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.lang.IgniteReducer

`collect`

### Constructor Detail

#### RX1

    public RX1()

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.1.0-incubating
Release Date | : May 20 2015